import React, { PureComponent } from 'react';
import { List } from 'antd';

export default class CardList extends PureComponent {
  constructor(props) {
    super(props);
  }

  render() {
    const { dataset, loading, grid, children, pagination, header, footer, bordered } = this.props;
    return (
      <div className={styles.list}>
        <div className={styles.header}></div>
        <div className={styles.content}>
          <List
            pagination={false}
            bordered={bordered}
            header={header}
            footer={footer}
            grid={grid}
            dataSource={dataset}
            loading={loading}
            renderItem={item =>
              <List.Item key={item.id}>
                <PictureItem
                  picUrl={item.url}
                  picCode={item.code}
                  picName={item.name}
                  checked={item.checked}
                />
              </List.Item>
            }
          />
        </div>
        <div className={styles.footer}></div>
      </div>
    );
  }
}
