import { routerRedux } from 'dva/router';
import { message } from 'antd';
import {
  createImage,
  queryImageResource,
  queryVideoResource,
} from '../services/resource';

export default {
  namespace: 'resource',

  state: {
    list: [],
    pageNo: null,
    pageSize: null,
    totalSize: null,
  },

  effects: {
    *fetchImageList({ payload }, { call, put }) {
      const response = yield call(queryImageResource, payload);
      if (response.success) {
        yield put({
          type: 'querySuccess',
          payload: {
            list: response.data.list || [],
            pageSize: response.data.pageSize,
            totalSize: response.data.totalSize,
            pageNo: response.data.pageNo,
          }
        });
      }
    },
    *createImage({ payload }, { call, put }) {
      const response = yield call(createImage, payload);
      if (response.success) {
        message.success('图片创建成功');
        yield put(routerRedux.goBack());
      }
    }
  },

  reducers: {
    querySuccess(state, action) {
      return {
        ...state,
        ...action.payload,
      };
    }
  }
}
